function [ out ] = test_alias1ri_hc_weightedhc_multiple_10m_L(L_array)
%TEST_ALIAS1RI_HC_WEIGHTEDHC_MULTIPLE_10M_L Performs tests from Section 4.1.3 for specified values of L.
%
% Copyright (c) 2020 Toni Volkmer
%
% This program is free software; you can redistribute it and/or modify it under
% the terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% This program is distributed in the hope that it will be useful, but WITHOUT
% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
% FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
% details.
%
% You should have received a copy of the GNU General Public License along with
% this program; if not, write to the Free Software Foundation, Inc., 51
% Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

old_rng = rng;

d = 8;
N = 32;
gamma_hc = 1./(1:8).^1.08;
Gamma = double(coord_symhc(N,d,1));
card_Gamma = size(Gamma,1);
index_set_I = double(coord_symhc(N,d,gamma_hc));
sparsity = size(index_set_I,1);
c = 10.33;
nrepeat = 1000;

filename = sprintf('test_alias1ri_hc_weightedhc_multiple_results_10m_r1000_L%d.mat', L_array(1));

for iL = 1:numel(L_array)
  rng(L_array(iL));
  [num_true_positive_matrix_iL, num_potentially_false_negative_matrix_iL, num_potentially_false_positive_matrix_iL, num_Gamma_I_matrix_iL, success_rate_iL, num_samples_matrix_iL] = test_alias1ri_hc_weightedhc_multiple(Gamma, index_set_I, c, L_array(iL), nrepeat);
  
  num_true_positive_matrix(iL,:) = num_true_positive_matrix_iL;
  num_potentially_false_negative_matrix(iL,:) = num_potentially_false_negative_matrix_iL;
  num_potentially_false_positive_matrix(iL,:) = num_potentially_false_positive_matrix_iL;
  num_Gamma_I_matrix(iL,:) = num_Gamma_I_matrix_iL;
  success_rate(iL,:) = success_rate_iL;
  num_samples_matrix(iL,:) = num_samples_matrix_iL;

save(filename);
end

clear Gamma index_set_I
save(filename);

rng(old_rng);

out = 0;

%%1-exp(-(c-2)*log(c-1)/4/c*L_array'+log(card_Gamma))